Record Class ResetarPowersyncResponse
java.lang.Object
java.lang.Record
br.com.vantroba.bi.transporte.powersync.ResetarPowersyncResponse
- Record Components:
resetId- id atribuído à execução, persistido em xls_resetar_powersync.idstatus- estado inicial (sempre "EM_ANDAMENTO" no 202)linkStatus- URL absoluta para polling de status (GET /admin/resetar-powersync/{id})
-
Constructor Summary
ConstructorsConstructorDescriptionResetarPowersyncResponse(long resetId, String status, String linkStatus) Creates an instance of aResetarPowersyncResponserecord class. -
Method Summary
Modifier and TypeMethodDescriptionfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.Returns the value of thelinkStatusrecord component.longresetId()Returns the value of theresetIdrecord component.status()Returns the value of thestatusrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
ResetarPowersyncResponse
Creates an instance of aResetarPowersyncResponserecord class.- Parameters:
resetId- the value for theresetIdrecord componentstatus- the value for thestatusrecord componentlinkStatus- the value for thelinkStatusrecord component
-
-
Method Details
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared withObjects::equals(Object,Object); primitive components are compared with thecomparemethod from their corresponding wrapper classes. -
resetId
-
status
-
linkStatus
Returns the value of thelinkStatusrecord component.- Returns:
- the value of the
linkStatusrecord component
-